Firefox için Java eklentisi nasıl kurulur?

66

Firefox için Java ve eklentileri yüklemeye çalışıyorum. Hem JDK'yı hem de JRE'yi kurdum.

sudo update-alternatives --config java komutuyla denediğimde, yalnızca tek bir seçenek gösteriliyor.

Eklentiler Firefox'ta kullanılamaz.

    
sordu user199273 06.10.2013 13:51

6 cevap

73

52'den sonra (ESR değil) bir sürüm kullanıyorsanız, devre dışı bırakılmış NPAPI , şansın yok. Önceden kullanıyorsanız, kesinlikle istemediğiniz bir şey varsa, java binary'yi kullanarak Java ikili dosyalarını yerel olarak çalıştırmanıza izin veren OpenJDK JRE'yi yükleyebilirsiniz. Ancak bu, tarayıcınızda Java web uygulamalarını çalıştırmak için yeterli değildir; bu, Icedtea eklentisini yükleyerek gerçekleştirilebilir:

sudo apt-get install icedtea-plugin

Ardından eklenti bölümünde eklentinin etkin olup olmadığını about:addons adresine gidin. Mozilla, güvensiz eklentileri varsayılan olarak devre dışı bırakır; bu, Java'nın gerekli güvenlik sorunları nedeniyle bile devre dışı kalması anlamına gelir. Kullanmadan önce onu etkinleştirmeniz gerekiyor.

    
verilen cevap Braiam 06.10.2013 16:26
23

IcedTea Java eklentisini yükleme:

IcedTea Java eklentisini kurmak için bir terminal açın ve şunu yazın:

sudo apt-get install icedtea-7-plugin

Firefox eklentisini yükle - Oracle

Bir terminalde:

mkdir ~/.mozilla/plugins

Yüklü ise, IcedTea eklentisini kaldırın.

sudo apt-get remove icedtea6-plugin

Java eklentisinin eski bir sürümünü kaldırın (mevcut olabilir veya olmayabilir)

rm ~/.mozilla/plugins/libnpjp2.so

Artık eklentiyi sembolik bir bağlantı oluşturarak kurabilirsiniz (eklentinin bulunduğu Firefox'a söylersiniz). 32 bit Java için kullanın

ln -s /usr/lib/jvm/jre1.7.0/lib/i386/libnpjp2.so ~/.mozilla/plugins/

64 bit Java kullanımı için

ln -s /usr/lib/jvm/jre1.7.0/lib/amd64/libnpjp2.so ~/.mozilla/plugins/

JRE'nin resmi Oracle web sitesini kullanarak başarılı olduğunu onaylayın.

Kaynak: Java yüklemesi

    
verilen cevap M.Tarun 13.04.2017 14:24
6

Firefox 52 sürümünden itibaren, Firefox'taki NPAPI eklentileri (java uygulamaları) desteği, performans ve güvenlik sorunları nedeniyle, java uygulamalarını yönetme biçimim olan Firefox'un Genişletilmiş Destek Sürümü'nü (ESR) yüklemektir. .

buradan indirin: İşte

daha fazla ayrıntı burada: İşte

    
verilen cevap mozzi zadok 12.03.2017 22:25
4

Eğer java jdk'yi oracle'den yeni indirip yüklediyseniz, o zaman, jdk-8u91-linux-x64.tar.gz dosyasını yüklediğinizi varsayalım

/ benim / java / dizin /

Ardından, aşağıdaki gibi bir dizininiz olur:

/my/java/directory/jdk1.8.0_91 /

Tek yapmanız gereken, ubuntu firefox eklentileri dizininize gitmek ve bir bağlantı oluşturmak:

$: cd /usr/lib/firefox-addons/plugins/
$: sudo ln -s /my/java/directory/jdk1.8.0_91/jre/lib/amd64/libnpjp2.so
    
verilen cevap luis_js 26.05.2016 15:55
3

Bu eski bir iş parçacığı, ama bugünkü sorunumda bir çözüm bulurken tökezledim. Aynı durumda başka birinin olabileceğini düşündüm.

Eski işle ilgili web siteleri için tarayıcı içi Java'ya ihtiyacım var ve oracle java eklentisi onu kesmiyor. Uzun bir deneme-yanılma yaklaşımından sonra, IcedTea'nın sürekli olarak eski bir firefox sürümünde çalışmasını sağladım:

  • Firefox'un katranını indirin, sürüm 51 (daha yeni sürüm eklentiyi desteklemez)
  • OpenJDK'yi (7 veya 8) yükleyin
  • Buzlu - eklenti ve buzlu eklentiyi yükleme
  • Artık openJDK yüklemeniz jre / lib klasöründe bir IcedTeaPlugin.so dosyası içerecektir
  • bunu mozilla / firefox eklenti klasörlerine kopyalayın (hangisinin kopyalanacağını anlayamadım, bu yüzden onu sadece firefox / plugins veya mozilla / plugins'e kopyaladım)
  • eski firefox sürümünüzü başlat
  • eklentinin etkin olduğunu doğrulayın (kontrol edin: eklentiler)

Meslektaşlarımdan biri, eski itfaiyenin kaldırılması için bir komut dosyası oluşturdu ve her bir işlemde onu açıkladı. Bu şekilde asla yanlışlıkla güncellenmez. Bunu ana firefox uygulamanızla yapmadığınızdan emin olun.

Umarım bu size yardımcı olur.

    
verilen cevap Stijn Dejongh 26.06.2017 19:28
1

Bir savaş oldu, özellikle 14.04 ile birkaç ay önce gittiğimden beri, çözümü unuttum, 16.04'e yükseltildi .....

Farklıydı, 14.04'te buzlu çay ve Oracle firefox altında çalışıyordum. Ben aslında Oracle'ı tercih ederim (genelde değil ama benim kullanımım neredeyse buna ihtiyaç duyar) bu yüzden şimdi buna sahibim. Birden çok yükleme veya depoya teşebbüs etmedim. Buradaki talimatların çoğuna göre Symlinks de iyi değil.

Sonunda, Firefox'ta Düzenle - & gt; Tercihler - & gt; Uygulamalar ardından aşağıya doğru JNLP dosya uzantısına kaydırıldı ve açılır menüden "Diğer ..." ifadesini seçti. Sonra ilgili dizinden javaws bulundu.

Bu sadece bir çözümdür ve ihtiyaçlarınızı karşılayacağından emin değilim. Çoğu eklentinin Mart ayına kadar öleceğini unutmayın.

    
verilen cevap michael 31.01.2017 14:42

Etiketlerdeki diğer soruları oku